%define upstream_name    Set-IntSpan
%define upstream_version 1.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Manage sets of integers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Set/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Set::IntSpan manages sets of integers.  It is optimized for sets that
have long runs of consecutive integers.  These arise, for example, in
.newsrc files, which maintain lists of articles:

    alt.foo: 1-21,28,31
    alt.bar: 1-14192,14194,14196-14221

Sets are stored internally in a run-length coded form.  This provides
for both compact storage and efficient computation.  In particular,
set operations can be performed directly on the encoded
representation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Set/IntSpan.pm
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.190.0-9.mga9
+ Revision: 1805666
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.190.0-8.mga8
+ Revision: 1497139
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.190.0-7.mga7
+ Revision: 1271129
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.190.0-6.mga6
+ Revision: 1033035
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.190.0-5.mga6
+ Revision: 946727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-4.mga5
+ Revision: 742300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-3.mga5
+ Revision: 686190
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.190.0-2.mga4
+ Revision: 527299
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.190.0-1.mga4
+ Revision: 439864
- update to 1.19

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 372599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 26968
- mageia rebuild
- imported package perl-Set-IntSpan

